# kps_api
OpenAPI documentation for public facing Karbon Platform Services API  This API documentation is generated from source code using go-swagger. Do not edit the generated kps_api.json directly!

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen

## Requirements.

Python 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import kps_api 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import kps_api
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import kps_api
from kps_api.rest import ApiException
from pprint import pprint

# Configure API key authorization: BearerToken
configuration = kps_api.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = kps_api.ApplicationApi(kps_api.ApiClient(configuration))
body = kps_api.ApplicationV2() # ApplicationV2 | Describes the application creation request.
authorization = 'authorization_example' # str | Format: Bearer <token>, with <token> from login API response.

try:
    # Create an application.
    api_response = api_instance.application_create_v2(body, authorization)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationApi->application_create_v2: %s\n" % e)

# Configure API key authorization: BearerToken
configuration = kps_api.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = kps_api.ApplicationApi(kps_api.ApiClient(configuration))
authorization = 'authorization_example' # str | Format: Bearer <token>, with <token> from login API response.
id = 'id_example' # str | ID of the entity

try:
    # Delete application specified by the application ID.
    api_response = api_instance.application_delete_v2(authorization, id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationApi->application_delete_v2: %s\n" % e)

# Configure API key authorization: BearerToken
configuration = kps_api.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = kps_api.ApplicationApi(kps_api.ApiClient(configuration))
authorization = 'authorization_example' # str | Format: Bearer <token>, with <token> from login API response.
id = 'id_example' # str | ID of the entity

try:
    # Get application by application ID.
    api_response = api_instance.application_get_v2(authorization, id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationApi->application_get_v2: %s\n" % e)

# Configure API key authorization: BearerToken
configuration = kps_api.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = kps_api.ApplicationApi(kps_api.ApiClient(configuration))
authorization = 'authorization_example' # str | Format: Bearer <token>, with <token> from login API response.
page_index = 789 # int | 0-based index of the page to fetch results. (optional)
page_size = 789 # int | Item count of each page. (optional)
order_by = ['order_by_example'] # list[str] | Specify result order. Zero or more entries with format: &ltkey> [desc] where orderByKeys lists allowed keys in each response. (optional)
filter = 'filter_example' # str | Specify result filter. Format is similar to a SQL WHERE clause. For example, to filter object by name with prefix foo, use: name LIKE 'foo%'. Supported filter keys are the same as order by keys. (optional)

try:
    # Get all applications.
    api_response = api_instance.application_list_v2(authorization, page_index=page_index, page_size=page_size, order_by=order_by, filter=filter)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationApi->application_list_v2: %s\n" % e)

# Configure API key authorization: BearerToken
configuration = kps_api.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = kps_api.ApplicationApi(kps_api.ApiClient(configuration))
body = kps_api.ApplicationV2() # ApplicationV2 | 
authorization = 'authorization_example' # str | Format: Bearer <token>, with <token> from login API response.
id = 'id_example' # str | ID of the entity

try:
    # Update a specific application with ID {id}.
    api_response = api_instance.application_update_v3(body, authorization, id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationApi->application_update_v3: %s\n" % e)

# Configure API key authorization: BearerToken
configuration = kps_api.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = kps_api.ApplicationApi(kps_api.ApiClient(configuration))
authorization = 'authorization_example' # str | Format: Bearer <token>, with <token> from login API response.
id = 'id_example' # str | ID of the entity
edge_id = 'edge_id_example' # str | ID for the edge

try:
    # Get containers of an application specified by Application ID running on a specific edge.
    api_response = api_instance.get_application_containers(authorization, id, edge_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationApi->get_application_containers: %s\n" % e)

# Configure API key authorization: BearerToken
configuration = kps_api.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = kps_api.ApplicationApi(kps_api.ApiClient(configuration))
authorization = 'authorization_example' # str | Format: Bearer <token>, with <token> from login API response.
project_id = 'project_id_example' # str | ID for the project
page_index = 789 # int | 0-based index of the page to fetch results. (optional)
page_size = 789 # int | Item count of each page. (optional)
order_by = ['order_by_example'] # list[str] | Specify result order. Zero or more entries with format: &ltkey> [desc] where orderByKeys lists allowed keys in each response. (optional)
filter = 'filter_example' # str | Specify result filter. Format is similar to a SQL WHERE clause. For example, to filter object by name with prefix foo, use: name LIKE 'foo%'. Supported filter keys are the same as order by keys. (optional)

try:
    # Get all applications in a project according to project ID.
    api_response = api_instance.project_get_applications_v2(authorization, project_id, page_index=page_index, page_size=page_size, order_by=order_by, filter=filter)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationApi->project_get_applications_v2: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *//localhost/*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ApplicationApi* | [**application_create_v2**](docs/ApplicationApi.md#application_create_v2) | **POST** /v1.0/applications | Create an application.
*ApplicationApi* | [**application_delete_v2**](docs/ApplicationApi.md#application_delete_v2) | **DELETE** /v1.0/applications/{id} | Delete application specified by the application ID.
*ApplicationApi* | [**application_get_v2**](docs/ApplicationApi.md#application_get_v2) | **GET** /v1.0/applications/{id} | Get application by application ID.
*ApplicationApi* | [**application_list_v2**](docs/ApplicationApi.md#application_list_v2) | **GET** /v1.0/applications | Get all applications.
*ApplicationApi* | [**application_update_v3**](docs/ApplicationApi.md#application_update_v3) | **PUT** /v1.0/applications/{id} | Update a specific application with ID {id}.
*ApplicationApi* | [**get_application_containers**](docs/ApplicationApi.md#get_application_containers) | **GET** /v1.0/applications/{id}/containers/{edgeId} | Get containers of an application specified by Application ID running on a specific edge.
*ApplicationApi* | [**project_get_applications_v2**](docs/ApplicationApi.md#project_get_applications_v2) | **GET** /v1.0/projects/{projectId}/applications | Get all applications in a project according to project ID.
*ApplicationStatusApi* | [**application_status_get_v2**](docs/ApplicationStatusApi.md#application_status_get_v2) | **GET** /v1.0/applicationstatuses/{id} | Get application status by application ID.
*ApplicationStatusApi* | [**application_status_list_v2**](docs/ApplicationStatusApi.md#application_status_list_v2) | **GET** /v1.0/applicationstatuses | Get status for all applications.
*AuditlogApi* | [**query_audit_logs_v2**](docs/AuditlogApi.md#query_audit_logs_v2) | **POST** /v1.0/auditlogsV2 | Lists audit logs matching the provided filter.
*AuthApi* | [**login_call_v2**](docs/AuthApi.md#login_call_v2) | **POST** /v1.0/login | Lets the user log in.
*AuthApi* | [**login_token_v1**](docs/AuthApi.md#login_token_v1) | **POST** /v1.0/login/logintoken | Get a login token
*AuthApi* | [**short_login_token_v1**](docs/AuthApi.md#short_login_token_v1) | **POST** /v1.0/login/shortlogintoken | Generate a short login token.
*CategoryApi* | [**category_create_v2**](docs/CategoryApi.md#category_create_v2) | **POST** /v1.0/categories | Create a category.
*CategoryApi* | [**category_delete_v2**](docs/CategoryApi.md#category_delete_v2) | **DELETE** /v1.0/categories/{id} | Delete category.
*CategoryApi* | [**category_get_v2**](docs/CategoryApi.md#category_get_v2) | **GET** /v1.0/categories/{id} | Get a category by its ID.
*CategoryApi* | [**category_list_v2**](docs/CategoryApi.md#category_list_v2) | **GET** /v1.0/categories | Get all categories.
*CategoryApi* | [**category_update_v3**](docs/CategoryApi.md#category_update_v3) | **PUT** /v1.0/categories/{id} | Update a category by its ID.
*CertificateApi* | [**certificates_create_v2**](docs/CertificateApi.md#certificates_create_v2) | **POST** /v1.0/certificates | Create certificates.
*CloudProfileApi* | [**cloud_profile_create**](docs/CloudProfileApi.md#cloud_profile_create) | **POST** /v1.0/cloudprofiles | Create a cloud profile.
*CloudProfileApi* | [**cloud_profile_delete**](docs/CloudProfileApi.md#cloud_profile_delete) | **DELETE** /v1.0/cloudprofiles/{id} | Delete a cloud profile by its ID.
*CloudProfileApi* | [**cloud_profile_get**](docs/CloudProfileApi.md#cloud_profile_get) | **GET** /v1.0/cloudprofiles/{id} | Get a cloud profile according to profile ID.
*CloudProfileApi* | [**cloud_profile_list**](docs/CloudProfileApi.md#cloud_profile_list) | **GET** /v1.0/cloudprofiles | Get all cloud service profiles.
*CloudProfileApi* | [**cloud_profile_update**](docs/CloudProfileApi.md#cloud_profile_update) | **PUT** /v1.0/cloudprofiles/{id} | Update a cloud profile by its ID.
*CloudProfileApi* | [**project_get_cloud_profiles**](docs/CloudProfileApi.md#project_get_cloud_profiles) | **GET** /v1.0/projects/{projectId}/cloudprofiles | Get cloud profiles according to project ID.
*ConnectorClassApi* | [**connector_class_create**](docs/ConnectorClassApi.md#connector_class_create) | **POST** /v1.0/connector/classes | Create a connector class.
*ConnectorClassApi* | [**connector_class_delete**](docs/ConnectorClassApi.md#connector_class_delete) | **DELETE** /v1.0/connector/classes/{id} | Delete a specific connector class.
*ConnectorClassApi* | [**connector_class_get**](docs/ConnectorClassApi.md#connector_class_get) | **GET** /v1.0/connector/classes/{id} | Get a connector class by ID.
*ConnectorClassApi* | [**connector_class_list**](docs/ConnectorClassApi.md#connector_class_list) | **GET** /v1.0/connector/classes | Get all connector class.
*ConnectorClassApi* | [**connector_class_update**](docs/ConnectorClassApi.md#connector_class_update) | **PUT** /v1.0/connector/classes/{id} | Update a connector class.
*ConnectorClassApi* | [**connector_instances_by_class_id_list**](docs/ConnectorClassApi.md#connector_instances_by_class_id_list) | **GET** /v1.0/connector/classes/{id}/instances | Get all connector instances by class id.
*ConnectorConfigApi* | [**connector_config_create**](docs/ConnectorConfigApi.md#connector_config_create) | **POST** /v1.0/connector/configs | Create a connector config parameters.
*ConnectorConfigApi* | [**connector_config_delete**](docs/ConnectorConfigApi.md#connector_config_delete) | **DELETE** /v1.0/connector/configs/{id} | Delete a specific connector config parameters.
*ConnectorConfigApi* | [**connector_config_get**](docs/ConnectorConfigApi.md#connector_config_get) | **GET** /v1.0/connector/configs/{id} | Get a connector config parameters by ID.
*ConnectorConfigApi* | [**connector_config_list**](docs/ConnectorConfigApi.md#connector_config_list) | **GET** /v1.0/connector/instances/{id}/configs | Get a connector config parameters for connector instance by ID.
*ConnectorConfigApi* | [**connector_config_update**](docs/ConnectorConfigApi.md#connector_config_update) | **PUT** /v1.0/connector/configs/{id} | Update a connector config parameters.
*ConnectorInstanceApi* | [**connector_instance_create**](docs/ConnectorInstanceApi.md#connector_instance_create) | **POST** /v1.0/connector/instances | Create a connector instance.
*ConnectorInstanceApi* | [**connector_instance_delete**](docs/ConnectorInstanceApi.md#connector_instance_delete) | **DELETE** /v1.0/connector/instances/{id} | Delete a specific connector instance.
*ConnectorInstanceApi* | [**connector_instance_get**](docs/ConnectorInstanceApi.md#connector_instance_get) | **GET** /v1.0/connector/instances/{id} | Get a connector instance by ID.
*ConnectorInstanceApi* | [**connector_instance_update**](docs/ConnectorInstanceApi.md#connector_instance_update) | **PUT** /v1.0/connector/instances/{id} | Update a connector instance.
*ConnectorInstanceApi* | [**connector_instances_list**](docs/ConnectorInstanceApi.md#connector_instances_list) | **GET** /v1.0/connector/instances | Get all connector instances.
*ConnectorStreamApi* | [**connector_stream_create**](docs/ConnectorStreamApi.md#connector_stream_create) | **POST** /v1.0/connector/streams | Create a connector stream parameters.
*ConnectorStreamApi* | [**connector_stream_delete**](docs/ConnectorStreamApi.md#connector_stream_delete) | **DELETE** /v1.0/connector/streams/{id} | Delete a specific connector stream parameters.
*ConnectorStreamApi* | [**connector_stream_get**](docs/ConnectorStreamApi.md#connector_stream_get) | **GET** /v1.0/connector/streams/{id} | Get a connector stream parameters by ID.
*ConnectorStreamApi* | [**connector_stream_list**](docs/ConnectorStreamApi.md#connector_stream_list) | **GET** /v1.0/connector/instances/{id}/streams | Get a connector stream parameters for connector instance by ID.
*ConnectorStreamApi* | [**connector_stream_update**](docs/ConnectorStreamApi.md#connector_stream_update) | **PUT** /v1.0/connector/streams/{id} | Update a connector stream parameters.
*ContainerRegistryApi* | [**container_registry_create_v2**](docs/ContainerRegistryApi.md#container_registry_create_v2) | **POST** /v1.0/containerregistries | Create a container registry profile.
*ContainerRegistryApi* | [**container_registry_delete_v2**](docs/ContainerRegistryApi.md#container_registry_delete_v2) | **DELETE** /v1.0/containerregistries/{id} | Delete a container registry profile by profile ID.
*ContainerRegistryApi* | [**container_registry_get_v2**](docs/ContainerRegistryApi.md#container_registry_get_v2) | **GET** /v1.0/containerregistries/{id} | Get a container registry profile by profile ID.
*ContainerRegistryApi* | [**container_registry_list_v2**](docs/ContainerRegistryApi.md#container_registry_list_v2) | **GET** /v1.0/containerregistries | Get container registry profiles.
*ContainerRegistryApi* | [**container_registry_update_v2**](docs/ContainerRegistryApi.md#container_registry_update_v2) | **PUT** /v1.0/containerregistries/{id} | Update a container registry profile.
*ContainerRegistryApi* | [**project_get_container_registries_v2**](docs/ContainerRegistryApi.md#project_get_container_registries_v2) | **GET** /v1.0/projects/{projectId}/containerregistries | Get container registry profiles by project ID.
*DataPipelineApi* | [**data_pipeline_create**](docs/DataPipelineApi.md#data_pipeline_create) | **POST** /v1.0/datapipelines | Creates a data pipeline.
*DataPipelineApi* | [**data_pipeline_delete**](docs/DataPipelineApi.md#data_pipeline_delete) | **DELETE** /v1.0/datapipelines/{id} | Deletes data pipeline by its ID.
*DataPipelineApi* | [**data_pipeline_get**](docs/DataPipelineApi.md#data_pipeline_get) | **GET** /v1.0/datapipelines/{id} | Lists data pipeline by its ID.
*DataPipelineApi* | [**data_pipeline_list**](docs/DataPipelineApi.md#data_pipeline_list) | **GET** /v1.0/datapipelines | Gets data pipelines.
*DataPipelineApi* | [**data_pipeline_update**](docs/DataPipelineApi.md#data_pipeline_update) | **PUT** /v1.0/datapipelines/{id} | Updates a data pipeline by its ID
*DataPipelineApi* | [**get_data_pipeline_containers**](docs/DataPipelineApi.md#get_data_pipeline_containers) | **GET** /v1.0/datapipelines/{id}/containers/{edgeId} | Get containers of a data pipeline specified by Datapipeline ID running on a specific edge.
*DataPipelineApi* | [**project_get_data_pipelines**](docs/DataPipelineApi.md#project_get_data_pipelines) | **GET** /v1.0/projects/{projectId}/datapipelines | Gets data pipelines for a project.
*DataSourceApi* | [**data_source_create_v2**](docs/DataSourceApi.md#data_source_create_v2) | **POST** /v1.0/datasources | Create a data source.
*DataSourceApi* | [**data_source_delete_v2**](docs/DataSourceApi.md#data_source_delete_v2) | **DELETE** /v1.0/datasources/{id} | Delete a specific data source.
*DataSourceApi* | [**data_source_get_artifact_v2**](docs/DataSourceApi.md#data_source_get_artifact_v2) | **GET** /v1.0/datasources/{id}/artifacts | Get data source artifacts according to its ID.
*DataSourceApi* | [**data_source_get_v2**](docs/DataSourceApi.md#data_source_get_v2) | **GET** /v1.0/datasources/{id} | Get a data source according to its ID.
*DataSourceApi* | [**data_source_list_v2**](docs/DataSourceApi.md#data_source_list_v2) | **GET** /v1.0/datasources | Get all data sources.
*DataSourceApi* | [**data_source_update_v3**](docs/DataSourceApi.md#data_source_update_v3) | **PUT** /v1.0/datasources/{id} | Update a data source.
*DataSourceApi* | [**edge_get_datasources_v2**](docs/DataSourceApi.md#edge_get_datasources_v2) | **GET** /v1.0/edges/{edgeId}/datasources | Get all data sources associated with an edge.
*EventApi* | [**query_events_v2**](docs/EventApi.md#query_events_v2) | **POST** /v1.0/events | Lists events matching the provided filter.
*FunctionApi* | [**function_create**](docs/FunctionApi.md#function_create) | **POST** /v1.0/functions | Create a function.
*FunctionApi* | [**function_delete**](docs/FunctionApi.md#function_delete) | **DELETE** /v1.0/functions/{id} | Delete a function by its ID.
*FunctionApi* | [**function_get**](docs/FunctionApi.md#function_get) | **GET** /v1.0/functions/{id} | Get a function by its ID.
*FunctionApi* | [**function_list**](docs/FunctionApi.md#function_list) | **GET** /v1.0/functions | Get functions.
*FunctionApi* | [**function_update**](docs/FunctionApi.md#function_update) | **PUT** /v1.0/functions/{id} | Update function by its ID
*FunctionApi* | [**project_get_functions**](docs/FunctionApi.md#project_get_functions) | **GET** /v1.0/projects/{projectId}/functions | Get functions by project ID.
*HTTPServiceProxyApi* | [**h_ttp_service_proxy_create**](docs/HTTPServiceProxyApi.md#h_ttp_service_proxy_create) | **POST** /v1.0/httpserviceproxies | Create a HTTP service proxy.
*HTTPServiceProxyApi* | [**h_ttp_service_proxy_delete**](docs/HTTPServiceProxyApi.md#h_ttp_service_proxy_delete) | **DELETE** /v1.0/httpserviceproxies/{id} | Delete HTTP service proxy.
*HTTPServiceProxyApi* | [**h_ttp_service_proxy_get**](docs/HTTPServiceProxyApi.md#h_ttp_service_proxy_get) | **GET** /v1.0/httpserviceproxies/{id} | Get a HTTP service proxy by its ID.
*HTTPServiceProxyApi* | [**h_ttp_service_proxy_list**](docs/HTTPServiceProxyApi.md#h_ttp_service_proxy_list) | **GET** /v1.0/httpserviceproxies | Get all HTTP service proxies.
*HTTPServiceProxyApi* | [**h_ttp_service_proxy_update**](docs/HTTPServiceProxyApi.md#h_ttp_service_proxy_update) | **PUT** /v1.0/httpserviceproxies/{id} | Update a HTTP service proxy by its ID.
*HelmApi* | [**helm_application_create**](docs/HelmApi.md#helm_application_create) | **POST** /v1.0/helm/apps | Create Helm Application.
*HelmApi* | [**helm_application_update**](docs/HelmApi.md#helm_application_update) | **PUT** /v1.0/helm/apps/{id} | Update Helm Application.
*HelmApi* | [**helm_template**](docs/HelmApi.md#helm_template) | **POST** /v1.0/helm/template | Run Helm Template.
*KialiApi* | [**app_dashboard**](docs/KialiApi.md#app_dashboard) | **GET** /v1.0/kiali/namespaces/{namespace}/apps/{app}/dashboard | 
*KialiApi* | [**app_details**](docs/KialiApi.md#app_details) | **GET** /v1.0/kiali/namespaces/{namespace}/apps/{app} | 
*KialiApi* | [**app_health**](docs/KialiApi.md#app_health) | **GET** /v1.0/kiali/namespaces/{namespace}/apps/{app}/health | 
*KialiApi* | [**app_list**](docs/KialiApi.md#app_list) | **GET** /v1.0/kiali/namespaces/{namespace}/apps | 
*KialiApi* | [**app_metrics**](docs/KialiApi.md#app_metrics) | **GET** /v1.0/kiali/namespaces/{namespace}/apps/{app}/metrics | 
*KialiApi* | [**error_traces**](docs/KialiApi.md#error_traces) | **GET** /v1.0/kiali/namespaces/{namespace}/services/{service}/errortraces | 
*KialiApi* | [**get_config**](docs/KialiApi.md#get_config) | **GET** /v1.0/kiali/config | 
*KialiApi* | [**get_status**](docs/KialiApi.md#get_status) | **GET** /v1.0/kiali/status | 
*KialiApi* | [**graph_app**](docs/KialiApi.md#graph_app) | **GET** /v1.0/kiali/namespaces/{namespace}/applications/{app}/graph | 
*KialiApi* | [**graph_app_version**](docs/KialiApi.md#graph_app_version) | **GET** /v1.0/kiali/namespaces/{namespace}/applications/{app}/versions/{version}/graph | 
*KialiApi* | [**graph_namespaces**](docs/KialiApi.md#graph_namespaces) | **GET** /v1.0/kiali/namespaces/graph | The backing JSON for a namespaces graph.
*KialiApi* | [**graph_service**](docs/KialiApi.md#graph_service) | **GET** /v1.0/kiali/namespaces/{namespace}/services/{service}/graph | The backing JSON for a service node detail graph.
*KialiApi* | [**graph_workload**](docs/KialiApi.md#graph_workload) | **GET** /v1.0/kiali/namespaces/{namespace}/workloads/{workload}/graph | The backing JSON for a workload node detail graph.
*KialiApi* | [**istio_config_list**](docs/KialiApi.md#istio_config_list) | **GET** /v1.0/kiali/namespaces/{namespace}/istio | 
*KialiApi* | [**istio_status**](docs/KialiApi.md#istio_status) | **GET** /v1.0/kiali/istio/status | 
*KialiApi* | [**namespace_health**](docs/KialiApi.md#namespace_health) | **GET** /v1.0/kiali/namespaces/{namespace}/health | 
*KialiApi* | [**namespace_list**](docs/KialiApi.md#namespace_list) | **GET** /v1.0/kiali/namespaces | 
*KialiApi* | [**namespace_metrics**](docs/KialiApi.md#namespace_metrics) | **GET** /v1.0/kiali/namespaces/{namespace}/metrics | 
*KialiApi* | [**namespace_tls**](docs/KialiApi.md#namespace_tls) | **GET** /v1.0/kiali/namespaces/{namespace}/tls | 
*KialiApi* | [**namespace_validations**](docs/KialiApi.md#namespace_validations) | **GET** /v1.0/kiali/namespaces/{namespace}/validations | 
*KialiApi* | [**pod_details**](docs/KialiApi.md#pod_details) | **GET** /v1.0/kiali/namespaces/{namespace}/pods/{pod} | 
*KialiApi* | [**pod_logs**](docs/KialiApi.md#pod_logs) | **GET** /v1.0/kiali/namespaces/{namespace}/pods/{pod}/logs | 
*KialiApi* | [**root**](docs/KialiApi.md#root) | **GET** /v1.0/kiali | 
*KialiApi* | [**service_dashboard**](docs/KialiApi.md#service_dashboard) | **GET** /v1.0/kiali/namespaces/{namespace}/services/{service}/dashboard | 
*KialiApi* | [**service_details**](docs/KialiApi.md#service_details) | **GET** /v1.0/kiali/namespaces/{namespace}/services/{service} | 
*KialiApi* | [**service_health**](docs/KialiApi.md#service_health) | **GET** /v1.0/kiali/namespaces/{namespace}/services/{service}/health | 
*KialiApi* | [**service_list**](docs/KialiApi.md#service_list) | **GET** /v1.0/kiali/namespaces/{namespace}/services | 
*KialiApi* | [**service_metrics**](docs/KialiApi.md#service_metrics) | **GET** /v1.0/kiali/namespaces/{namespace}/services/{service}/metrics | 
*KialiApi* | [**spans_list**](docs/KialiApi.md#spans_list) | **GET** /v1.0/kiali/namespaces/{namespace}/services/{service}/spans | 
*KialiApi* | [**traces_detail**](docs/KialiApi.md#traces_detail) | **GET** /v1.0/kiali/namespaces/{namespace}/services/{service}/traces | 
*KialiApi* | [**workload_dashboard**](docs/KialiApi.md#workload_dashboard) | **GET** /v1.0/kiali/namespaces/{namespace}/workloads/{workload}/dashboard | 
*KialiApi* | [**workload_details**](docs/KialiApi.md#workload_details) | **GET** /v1.0/kiali/namespaces/{namespace}/workloads/{workload} | 
*KialiApi* | [**workload_health**](docs/KialiApi.md#workload_health) | **GET** /v1.0/kiali/namespaces/{namespace}/workloads/{workload}/health | 
*KialiApi* | [**workload_list**](docs/KialiApi.md#workload_list) | **GET** /v1.0/kiali/namespaces/{namespace}/workloads | 
*KialiApi* | [**workload_metrics**](docs/KialiApi.md#workload_metrics) | **GET** /v1.0/kiali/namespaces/{namespace}/workloads/{workload}/metrics | 
*KubernetesClusterApi* | [**kubernetes_cluster_installer**](docs/KubernetesClusterApi.md#kubernetes_cluster_installer) | **GET** /v1.0/kubernetescluster-installer | Get the kubernetes clusters helm installer.
*KubernetesClusterApi* | [**kubernetes_clusters_create**](docs/KubernetesClusterApi.md#kubernetes_clusters_create) | **POST** /v1.0/kubernetesclusters | Create a kubernetes cluster.
*KubernetesClusterApi* | [**kubernetes_clusters_delete**](docs/KubernetesClusterApi.md#kubernetes_clusters_delete) | **DELETE** /v1.0/kubernetesclusters/{id} | Delete a kubernetes cluster as specified by its ID.
*KubernetesClusterApi* | [**kubernetes_clusters_get**](docs/KubernetesClusterApi.md#kubernetes_clusters_get) | **GET** /v1.0/kubernetesclusters/{id} | Get single kubernetes cluster.
*KubernetesClusterApi* | [**kubernetes_clusters_list**](docs/KubernetesClusterApi.md#kubernetes_clusters_list) | **GET** /v1.0/kubernetesclusters | Get all kubernetes clusters.
*KubernetesClusterApi* | [**kubernetes_clusters_update**](docs/KubernetesClusterApi.md#kubernetes_clusters_update) | **PUT** /v1.0/kubernetesclusters/{id} | Update a kubernetes cluster by its ID.
*LogApi* | [**application_log_entries_get_v2**](docs/LogApi.md#application_log_entries_get_v2) | **GET** /v1.0/logs/applications/{id} | Lists applications log entries specific to an application.
*LogApi* | [**application_log_entries_list_v2**](docs/LogApi.md#application_log_entries_list_v2) | **GET** /v1.0/logs/applications | Lists application log entries.
*LogApi* | [**edge_log_entries_get_v2**](docs/LogApi.md#edge_log_entries_get_v2) | **GET** /v1.0/logs/edges/{id} | Lists infrastructure log entries for an edge.
*LogApi* | [**edge_log_entries_list_v2**](docs/LogApi.md#edge_log_entries_list_v2) | **GET** /v1.0/logs/edges | Lists infrastructure log entries for edges.
*LogApi* | [**log_entries_list_v2**](docs/LogApi.md#log_entries_list_v2) | **GET** /v1.0/logs/entries | Lists log entries.
*LogApi* | [**log_entry_delete_v2**](docs/LogApi.md#log_entry_delete_v2) | **DELETE** /v1.0/logs/entries/{id} | Delete log entry by ID.
*LogApi* | [**log_request_download_v2**](docs/LogApi.md#log_request_download_v2) | **POST** /v1.0/logs/requestdownload | Request log download.
*LogApi* | [**log_request_upload_v2**](docs/LogApi.md#log_request_upload_v2) | **POST** /v1.0/logs/requestupload | Request log upload.
*LogApi* | [**log_stream_endpoints**](docs/LogApi.md#log_stream_endpoints) | **POST** /v1.0/logs/stream/endpoints | Get the endpoints to stream logs for a given container from an edge.
*LogCollectorApi* | [**log_collector_create**](docs/LogCollectorApi.md#log_collector_create) | **POST** /v1.0/logs/collector | Create a log collector.
*LogCollectorApi* | [**log_collector_delete**](docs/LogCollectorApi.md#log_collector_delete) | **DELETE** /v1.0/logs/collector/{id} | Delete a log collector.
*LogCollectorApi* | [**log_collector_get**](docs/LogCollectorApi.md#log_collector_get) | **GET** /v1.0/logs/collector/{id} | Get information about log collector
*LogCollectorApi* | [**log_collector_start**](docs/LogCollectorApi.md#log_collector_start) | **POST** /v1.0/logs/collector/{id}/start | Start a log collector.
*LogCollectorApi* | [**log_collector_stop**](docs/LogCollectorApi.md#log_collector_stop) | **POST** /v1.0/logs/collector/{id}/stop | Stop a log collector.
*LogCollectorApi* | [**log_collector_update**](docs/LogCollectorApi.md#log_collector_update) | **PUT** /v1.0/logs/collector/{id} | Update a log collector.
*LogCollectorApi* | [**log_collectors_list**](docs/LogCollectorApi.md#log_collectors_list) | **GET** /v1.0/logs/collector | Get configured log collectors in a system.
*MLModelStatusApi* | [**m_l_model_status_get**](docs/MLModelStatusApi.md#m_l_model_status_get) | **GET** /v1.0/mlmodelstatuses/{id} | Get ML model status by model ID.
*MLModelStatusApi* | [**m_l_model_status_list**](docs/MLModelStatusApi.md#m_l_model_status_list) | **GET** /v1.0/mlmodelstatuses | Get status for all ML models.
*MLModelApi* | [**m_l_model_create**](docs/MLModelApi.md#m_l_model_create) | **POST** /v1.0/mlmodels | Create a machine learning model.
*MLModelApi* | [**m_l_model_delete**](docs/MLModelApi.md#m_l_model_delete) | **DELETE** /v1.0/mlmodels/{id} | Delete a machine learning model  by its ID.
*MLModelApi* | [**m_l_model_get**](docs/MLModelApi.md#m_l_model_get) | **GET** /v1.0/mlmodels/{id} | Get machine learning model by its ID.
*MLModelApi* | [**m_l_model_list**](docs/MLModelApi.md#m_l_model_list) | **GET** /v1.0/mlmodels | Lists machine learning models.
*MLModelApi* | [**m_l_model_update**](docs/MLModelApi.md#m_l_model_update) | **PUT** /v1.0/mlmodels/{id} | Update a machine learning model by its ID.
*MLModelApi* | [**m_l_model_version_create**](docs/MLModelApi.md#m_l_model_version_create) | **POST** /v1.0/mlmodels/{id}/versions | Create a new version of the machine learning model by its ID.
*MLModelApi* | [**m_l_model_version_delete**](docs/MLModelApi.md#m_l_model_version_delete) | **DELETE** /v1.0/mlmodels/{id}/versions/{model_version} | Delete the version of the machine learning model by its ID.
*MLModelApi* | [**m_l_model_version_update**](docs/MLModelApi.md#m_l_model_version_update) | **PUT** /v1.0/mlmodels/{id}/versions/{model_version} | Update the version of the machine learning model by its ID.
*MLModelApi* | [**m_l_model_version_url_get**](docs/MLModelApi.md#m_l_model_version_url_get) | **GET** /v1.0/mlmodels/{id}/versions/{model_version}/url | Get a pre-signed URL for the machine learning model according to its ID and version.
*MLModelApi* | [**project_get_ml_models**](docs/MLModelApi.md#project_get_ml_models) | **GET** /v1.0/projects/{projectId}/mlmodels | Lists project machine learning models by project ID.
*NodeApi* | [**node_create**](docs/NodeApi.md#node_create) | **POST** /v1.0/nodes | Create a node.
*NodeApi* | [**node_delete**](docs/NodeApi.md#node_delete) | **DELETE** /v1.0/nodes/{nodeId} | Delete a node as specified by node ID.
*NodeApi* | [**node_get**](docs/NodeApi.md#node_get) | **GET** /v1.0/nodes/{nodeId} | Get a node as specified by node ID.
*NodeApi* | [**node_list**](docs/NodeApi.md#node_list) | **GET** /v1.0/nodes | Get all service domain nodes.
*NodeApi* | [**node_onboarded**](docs/NodeApi.md#node_onboarded) | **POST** /v1.0/nodeonboarded | Update node post onboard info.
*NodeApi* | [**node_update**](docs/NodeApi.md#node_update) | **PUT** /v1.0/nodes/{nodeId} | Update a node as specified by node ID.
*NodeApi* | [**project_get_nodes**](docs/NodeApi.md#project_get_nodes) | **GET** /v1.0/projects/{projectId}/nodes | Get all service domain nodes associated with a project by project ID.
*NodeInfoApi* | [**node_info_get**](docs/NodeInfoApi.md#node_info_get) | **GET** /v1.0/nodesinfo/{nodeId} | Get all node information by node ID.
*NodeInfoApi* | [**node_info_list**](docs/NodeInfoApi.md#node_info_list) | **GET** /v1.0/nodesinfo | Get node resource, build, and version details.
*NodeInfoApi* | [**node_info_update**](docs/NodeInfoApi.md#node_info_update) | **PUT** /v1.0/nodesinfo/{nodeId} | Update node information by node ID.
*NodeInfoApi* | [**project_get_nodes_info**](docs/NodeInfoApi.md#project_get_nodes_info) | **GET** /v1.0/projects/{projectId}/nodesinfo | Get all node information for a project by project ID.
*ProjectApi* | [**project_create_v2**](docs/ProjectApi.md#project_create_v2) | **POST** /v1.0/projects | Create a project.
*ProjectApi* | [**project_delete_v2**](docs/ProjectApi.md#project_delete_v2) | **DELETE** /v1.0/projects/{id} | Delete a project by ID.
*ProjectApi* | [**project_get_v2**](docs/ProjectApi.md#project_get_v2) | **GET** /v1.0/projects/{projectId} | Get project by its ID.
*ProjectApi* | [**project_list_v2**](docs/ProjectApi.md#project_list_v2) | **GET** /v1.0/projects | Get projects.
*ProjectApi* | [**project_update_v3**](docs/ProjectApi.md#project_update_v3) | **PUT** /v1.0/projects/{id} | Update a project by its ID.
*RuntimeEnvironmentApi* | [**project_get_runtime_environments**](docs/RuntimeEnvironmentApi.md#project_get_runtime_environments) | **GET** /v1.0/projects/{projectId}/runtimeenvironments | Gets runtime environments for a project by project ID.
*RuntimeEnvironmentApi* | [**runtime_environment_create**](docs/RuntimeEnvironmentApi.md#runtime_environment_create) | **POST** /v1.0/runtimeenvironments | Create a runtime environment for functions.
*RuntimeEnvironmentApi* | [**runtime_environment_delete**](docs/RuntimeEnvironmentApi.md#runtime_environment_delete) | **DELETE** /v1.0/runtimeenvironments/{id} | Delete a runtime environment by its ID.
*RuntimeEnvironmentApi* | [**runtime_environment_get**](docs/RuntimeEnvironmentApi.md#runtime_environment_get) | **GET** /v1.0/runtimeenvironments/{id} | Get a runtime environment by its ID.
*RuntimeEnvironmentApi* | [**runtime_environment_list**](docs/RuntimeEnvironmentApi.md#runtime_environment_list) | **GET** /v1.0/runtimeenvironments | Get runtime environments.
*RuntimeEnvironmentApi* | [**runtime_environment_update**](docs/RuntimeEnvironmentApi.md#runtime_environment_update) | **PUT** /v1.0/runtimeenvironments/{id} | Update the runtime environment by its ID.
*SSHApi* | [**setup_ssh_tunneling**](docs/SSHApi.md#setup_ssh_tunneling) | **POST** /v1.0/setupsshtunneling | Configure SSH tunneling to the service domain.
*SSHApi* | [**teardown_ssh_tunneling**](docs/SSHApi.md#teardown_ssh_tunneling) | **POST** /v1.0/teardownsshtunneling | Disable service domain SSH tunneling.
*ServiceBindingApi* | [**service_binding_create**](docs/ServiceBindingApi.md#service_binding_create) | **POST** /v1.0/servicebindings | Create a Service Binding.
*ServiceBindingApi* | [**service_binding_delete**](docs/ServiceBindingApi.md#service_binding_delete) | **DELETE** /v1.0/servicebindings/{svcBindingId} | Delete a Service Binding.
*ServiceBindingApi* | [**service_binding_get**](docs/ServiceBindingApi.md#service_binding_get) | **GET** /v1.0/servicebindings/{svcBindingId} | Get a Service Binding.
*ServiceBindingApi* | [**service_binding_list**](docs/ServiceBindingApi.md#service_binding_list) | **GET** /v1.0/servicebindings | List Service Bindings.
*ServiceBindingApi* | [**service_binding_status_list**](docs/ServiceBindingApi.md#service_binding_status_list) | **GET** /v1.0/servicebindings/{svcBindingId}/status | Get the status of Service Binding.
*ServiceClassApi* | [**service_class_get**](docs/ServiceClassApi.md#service_class_get) | **GET** /v1.0/serviceclasses/{svcClassId} | Get a Service Class.
*ServiceClassApi* | [**service_class_list**](docs/ServiceClassApi.md#service_class_list) | **GET** /v1.0/serviceclasses | List Service Classes.
*ServiceDomainApi* | [**project_get_service_domains**](docs/ServiceDomainApi.md#project_get_service_domains) | **GET** /v1.0/projects/{projectId}/servicedomains | Get all service domains associated with a project by project ID.
*ServiceDomainApi* | [**service_domain_create**](docs/ServiceDomainApi.md#service_domain_create) | **POST** /v1.0/servicedomains | Create service domain.
*ServiceDomainApi* | [**service_domain_delete**](docs/ServiceDomainApi.md#service_domain_delete) | **DELETE** /v1.0/servicedomains/{svcDomainId} | Delete a service domain as specified by its ID.
*ServiceDomainApi* | [**service_domain_get**](docs/ServiceDomainApi.md#service_domain_get) | **GET** /v1.0/servicedomains/{svcDomainId} | Get a service domain by its ID.
*ServiceDomainApi* | [**service_domain_get_effective_profile**](docs/ServiceDomainApi.md#service_domain_get_effective_profile) | **GET** /v1.0/servicedomains/{svcDomainId}/effectiveprofile | Get a service domain effective profile by ID.
*ServiceDomainApi* | [**service_domain_get_nodes**](docs/ServiceDomainApi.md#service_domain_get_nodes) | **GET** /v1.0/servicedomains/{svcDomainId}/nodes | Retrieves all nodes for a service domain by service domain ID {svcDomainId}.
*ServiceDomainApi* | [**service_domain_get_nodes_info**](docs/ServiceDomainApi.md#service_domain_get_nodes_info) | **GET** /v1.0/servicedomains/{svcDomainId}/nodesinfo | Get nodes info for a service domain by service domain ID.
*ServiceDomainApi* | [**service_domain_list**](docs/ServiceDomainApi.md#service_domain_list) | **GET** /v1.0/servicedomains | Get service domains.
*ServiceDomainApi* | [**service_domain_update**](docs/ServiceDomainApi.md#service_domain_update) | **PUT** /v1.0/servicedomains/{svcDomainId} | Update a service domain by its ID.
*ServiceDomainClusterApi* | [**service_domain_clusters_create**](docs/ServiceDomainClusterApi.md#service_domain_clusters_create) | **POST** /v1.0/servicedomainclusters | Create a service domain cluster.
*ServiceDomainClusterApi* | [**service_domain_clusters_delete**](docs/ServiceDomainClusterApi.md#service_domain_clusters_delete) | **DELETE** /v1.0/servicedomainclusters/{id} | Deletes a service domain cluster by its ID {id}.
*ServiceDomainClusterApi* | [**service_domain_clusters_get**](docs/ServiceDomainClusterApi.md#service_domain_clusters_get) | **GET** /v1.0/servicedomainclusters/{id} | Get single service domain cluster.
*ServiceDomainClusterApi* | [**service_domain_clusters_list**](docs/ServiceDomainClusterApi.md#service_domain_clusters_list) | **GET** /v1.0/servicedomainclusters | Get all service domain clusters.
*ServiceDomainClusterApi* | [**service_domain_clusters_update**](docs/ServiceDomainClusterApi.md#service_domain_clusters_update) | **PUT** /v1.0/servicedomainclusters/{id} | Updates a service domain cluster by its ID {id}.
*ServiceDomainInfoApi* | [**project_get_service_domains_info**](docs/ServiceDomainInfoApi.md#project_get_service_domains_info) | **GET** /v1.0/projects/{projectId}/servicedomainsinfo | Get all service domain information for a project as specified by project ID.
*ServiceDomainInfoApi* | [**service_domain_info_get**](docs/ServiceDomainInfoApi.md#service_domain_info_get) | **GET** /v1.0/servicedomainsinfo/{svcDomainId} | Get all service domain information by service domain ID.
*ServiceDomainInfoApi* | [**service_domain_info_list**](docs/ServiceDomainInfoApi.md#service_domain_info_list) | **GET** /v1.0/servicedomainsinfo | Get service domain additional information like artifacts.
*ServiceDomainInfoApi* | [**service_domain_info_update**](docs/ServiceDomainInfoApi.md#service_domain_info_update) | **PUT** /v1.0/servicedomainsinfo/{svcDomainId} | Update service domain information by service domain ID.
*ServiceInstanceApi* | [**service_instance_create**](docs/ServiceInstanceApi.md#service_instance_create) | **POST** /v1.0/serviceinstances | Create a Service Instance.
*ServiceInstanceApi* | [**service_instance_delete**](docs/ServiceInstanceApi.md#service_instance_delete) | **DELETE** /v1.0/serviceinstances/{svcInstanceId} | Delete a Service Instance.
*ServiceInstanceApi* | [**service_instance_get**](docs/ServiceInstanceApi.md#service_instance_get) | **GET** /v1.0/serviceinstances/{svcInstanceId} | Get a Service Instance.
*ServiceInstanceApi* | [**service_instance_list**](docs/ServiceInstanceApi.md#service_instance_list) | **GET** /v1.0/serviceinstances | List Service Instances.
*ServiceInstanceApi* | [**service_instance_status_list**](docs/ServiceInstanceApi.md#service_instance_status_list) | **GET** /v1.0/serviceinstances/{svcInstanceId}/status | Get the status of the Service Instance.
*ServiceInstanceApi* | [**service_instance_update**](docs/ServiceInstanceApi.md#service_instance_update) | **PUT** /v1.0/serviceinstances/{svcInstanceId} | Update a Service Instance.
*StorageProfileApi* | [**storage_profile_create**](docs/StorageProfileApi.md#storage_profile_create) | **POST** /v1.0/servicedomains/{svcDomainId}/storageprofiles | Create a storage profile.
*StorageProfileApi* | [**storage_profile_update**](docs/StorageProfileApi.md#storage_profile_update) | **PUT** /v1.0/servicedomains/{svcDomainId}/storageprofiles/{id} | Update storage profile.
*StorageProfileApi* | [**svc_domain_get_storage_profiles**](docs/StorageProfileApi.md#svc_domain_get_storage_profiles) | **GET** /v1.0/servicedomains/{svcDomainId}/storageprofiles | Get storage profiles according to service domain ID.
*UserApi* | [**is_email_available**](docs/UserApi.md#is_email_available) | **GET** /v1.0/isemailavailable | Check if the given email is available for create user.
*UserApi* | [**project_get_users_v2**](docs/UserApi.md#project_get_users_v2) | **GET** /v1.0/projects/{projectId}/users | Get project users.
*UserApi* | [**user_create_v2**](docs/UserApi.md#user_create_v2) | **POST** /v1.0/users | Create user.
*UserApi* | [**user_delete_v2**](docs/UserApi.md#user_delete_v2) | **DELETE** /v1.0/users/{id} | Delete user by ID.
*UserApi* | [**user_get_v2**](docs/UserApi.md#user_get_v2) | **GET** /v1.0/users/{id} | Get user by ID.
*UserApi* | [**user_list_v2**](docs/UserApi.md#user_list_v2) | **GET** /v1.0/users | Get users.
*UserApi* | [**user_update_v3**](docs/UserApi.md#user_update_v3) | **PUT** /v1.0/users/{id} | Update user with a given ID.
*UserAPITokenApi* | [**user_api_token_create**](docs/UserAPITokenApi.md#user_api_token_create) | **POST** /v1.0/userapitokens | Create a user API token.
*UserAPITokenApi* | [**user_api_token_delete**](docs/UserAPITokenApi.md#user_api_token_delete) | **DELETE** /v1.0/userapitokens/{id} | Delete current user API token.
*UserAPITokenApi* | [**user_api_token_get**](docs/UserAPITokenApi.md#user_api_token_get) | **GET** /v1.0/userapitokens | Get current user API tokens.
*UserAPITokenApi* | [**user_api_token_list**](docs/UserAPITokenApi.md#user_api_token_list) | **GET** /v1.0/userapitokensall | Get all user API tokens.
*UserAPITokenApi* | [**user_api_token_update**](docs/UserAPITokenApi.md#user_api_token_update) | **PUT** /v1.0/userapitokens/{id} | Update user API token.
*UserPublicKeyApi* | [**user_public_key_delete**](docs/UserPublicKeyApi.md#user_public_key_delete) | **DELETE** /v1.0/userpublickey | Delete current user public key.
*UserPublicKeyApi* | [**user_public_key_get**](docs/UserPublicKeyApi.md#user_public_key_get) | **GET** /v1.0/userpublickey | Get current user public key.
*UserPublicKeyApi* | [**user_public_key_list**](docs/UserPublicKeyApi.md#user_public_key_list) | **GET** /v1.0/userpublickeyall | Get all user public keys.
*UserPublicKeyApi* | [**user_public_key_update**](docs/UserPublicKeyApi.md#user_public_key_update) | **PUT** /v1.0/userpublickey | Upsert current user public key.

## Documentation For Models

 - [AIInferencingRuntime](docs/AIInferencingRuntime.md)
 - [AIInferencingServiceProfile](docs/AIInferencingServiceProfile.md)
 - [APIErrorPayload](docs/APIErrorPayload.md)
 - [AWSCredential](docs/AWSCredential.md)
 - [AZCredential](docs/AZCredential.md)
 - [AdditionalItem](docs/AdditionalItem.md)
 - [Address](docs/Address.md)
 - [Addresses](docs/Addresses.md)
 - [AggregateInfo](docs/AggregateInfo.md)
 - [AggregateSpec](docs/AggregateSpec.md)
 - [Aggregation](docs/Aggregation.md)
 - [App](docs/App.md)
 - [AppHealth](docs/AppHealth.md)
 - [AppList](docs/AppList.md)
 - [AppListItem](docs/AppListItem.md)
 - [AppOverview](docs/AppOverview.md)
 - [AppStatus](docs/AppStatus.md)
 - [Application](docs/Application.md)
 - [ApplicationContainers](docs/ApplicationContainers.md)
 - [ApplicationContainersBaseObject](docs/ApplicationContainersBaseObject.md)
 - [ApplicationListResponsePayload](docs/ApplicationListResponsePayload.md)
 - [ApplicationStatus](docs/ApplicationStatus.md)
 - [ApplicationStatusListPayload](docs/ApplicationStatusListPayload.md)
 - [ApplicationV2](docs/ApplicationV2.md)
 - [AttributeManifest](docs/AttributeManifest.md)
 - [AttributeManifests](docs/AttributeManifests.md)
 - [AuditLog](docs/AuditLog.md)
 - [AuditLogListResponsePayload](docs/AuditLogListResponsePayload.md)
 - [AuditLogV2](docs/AuditLogV2.md)
 - [AuditLogV2Filter](docs/AuditLogV2Filter.md)
 - [AuditLogV2InsertRequest](docs/AuditLogV2InsertRequest.md)
 - [AuditLogV2MultipleValues](docs/AuditLogV2MultipleValues.md)
 - [AuditLogsV2InsertRequest](docs/AuditLogsV2InsertRequest.md)
 - [AuthorizationPolicies](docs/AuthorizationPolicies.md)
 - [AuthorizationPolicy](docs/AuthorizationPolicy.md)
 - [Category](docs/Category.md)
 - [CategoryDetailUsageInfo](docs/CategoryDetailUsageInfo.md)
 - [CategoryInfo](docs/CategoryInfo.md)
 - [CategoryListResponsePayload](docs/CategoryListResponsePayload.md)
 - [CategoryUsage](docs/CategoryUsage.md)
 - [CategoryUsageInfo](docs/CategoryUsageInfo.md)
 - [Certificates](docs/Certificates.md)
 - [Chart](docs/Chart.md)
 - [CloudCreds](docs/CloudCreds.md)
 - [CloudCredsListResponsePayload](docs/CloudCredsListResponsePayload.md)
 - [CloudProfile](docs/CloudProfile.md)
 - [CloudProfileInfo](docs/CloudProfileInfo.md)
 - [CloudProfileListResponsePayload](docs/CloudProfileListResponsePayload.md)
 - [CloudProfileProjectUsage](docs/CloudProfileProjectUsage.md)
 - [CloudProfileUsageInfo](docs/CloudProfileUsageInfo.md)
 - [ClusterConfig](docs/ClusterConfig.md)
 - [ClusterRbacConfig](docs/ClusterRbacConfig.md)
 - [ClusterRbacConfigSpec](docs/ClusterRbacConfigSpec.md)
 - [ClusterRbacConfigs](docs/ClusterRbacConfigs.md)
 - [ComponentStatus](docs/ComponentStatus.md)
 - [ConnectorClass](docs/ConnectorClass.md)
 - [ConnectorClassListResponsePayload](docs/ConnectorClassListResponsePayload.md)
 - [ConnectorClassType](docs/ConnectorClassType.md)
 - [ConnectorConfig](docs/ConnectorConfig.md)
 - [ConnectorConfigListResponsePayload](docs/ConnectorConfigListResponsePayload.md)
 - [ConnectorInstance](docs/ConnectorInstance.md)
 - [ConnectorInstanceInventory](docs/ConnectorInstanceInventory.md)
 - [ConnectorInstanceListResponsePayload](docs/ConnectorInstanceListResponsePayload.md)
 - [ConnectorParametersSchema](docs/ConnectorParametersSchema.md)
 - [ConnectorParametersValues](docs/ConnectorParametersValues.md)
 - [ConnectorStream](docs/ConnectorStream.md)
 - [ConnectorStreamDirection](docs/ConnectorStreamDirection.md)
 - [ConnectorStreamListResponsePayload](docs/ConnectorStreamListResponsePayload.md)
 - [ContainerInfo](docs/ContainerInfo.md)
 - [ContainerRegistry](docs/ContainerRegistry.md)
 - [ContainerRegistryInfo](docs/ContainerRegistryInfo.md)
 - [ContainerRegistryListPayload](docs/ContainerRegistryListPayload.md)
 - [ContainerRegistryV2](docs/ContainerRegistryV2.md)
 - [CreateDocumentResponse](docs/CreateDocumentResponse.md)
 - [CreateDocumentResponseV2](docs/CreateDocumentResponseV2.md)
 - [Credential](docs/Credential.md)
 - [DashboardRef](docs/DashboardRef.md)
 - [DashboardResponse](docs/DashboardResponse.md)
 - [DataIfcEndpoint](docs/DataIfcEndpoint.md)
 - [DataPipeline](docs/DataPipeline.md)
 - [DataPipelineContainers](docs/DataPipelineContainers.md)
 - [DataPipelineContainersBaseObject](docs/DataPipelineContainersBaseObject.md)
 - [DataPipelineListPayload](docs/DataPipelineListPayload.md)
 - [DataSource](docs/DataSource.md)
 - [DataSourceArtifact](docs/DataSourceArtifact.md)
 - [DataSourceFieldInfo](docs/DataSourceFieldInfo.md)
 - [DataSourceFieldInfoV2](docs/DataSourceFieldInfoV2.md)
 - [DataSourceFieldSelector](docs/DataSourceFieldSelector.md)
 - [DataSourceIfcInfo](docs/DataSourceIfcInfo.md)
 - [DataSourceIfcPorts](docs/DataSourceIfcPorts.md)
 - [DataSourceListPayload](docs/DataSourceListPayload.md)
 - [DataSourceV2](docs/DataSourceV2.md)
 - [DataStream](docs/DataStream.md)
 - [DataStreamListPayload](docs/DataStreamListPayload.md)
 - [DeleteDocumentResponse](docs/DeleteDocumentResponse.md)
 - [DeleteDocumentResponseV2](docs/DeleteDocumentResponseV2.md)
 - [DeleteRequest](docs/DeleteRequest.md)
 - [DestinationRule](docs/DestinationRule.md)
 - [DestinationRules](docs/DestinationRules.md)
 - [DockerProfile](docs/DockerProfile.md)
 - [DockerProfileListPayload](docs/DockerProfileListPayload.md)
 - [EBSStorageProfileConfig](docs/EBSStorageProfileConfig.md)
 - [Edge](docs/Edge.md)
 - [EdgeCert](docs/EdgeCert.md)
 - [EdgeCertListPayload](docs/EdgeCertListPayload.md)
 - [EdgeCertLockParam](docs/EdgeCertLockParam.md)
 - [EdgeCluster](docs/EdgeCluster.md)
 - [EdgeClusterListPayload](docs/EdgeClusterListPayload.md)
 - [EdgeData](docs/EdgeData.md)
 - [EdgeDevice](docs/EdgeDevice.md)
 - [EdgeDeviceInfo](docs/EdgeDeviceInfo.md)
 - [EdgeDeviceInfoListPayload](docs/EdgeDeviceInfoListPayload.md)
 - [EdgeDeviceListPayload](docs/EdgeDeviceListPayload.md)
 - [EdgeDeviceOnboardInfo](docs/EdgeDeviceOnboardInfo.md)
 - [EdgeDeviceWithClusterInfo](docs/EdgeDeviceWithClusterInfo.md)
 - [EdgeInfoListPayload](docs/EdgeInfoListPayload.md)
 - [EdgeInventoryDeleted](docs/EdgeInventoryDeleted.md)
 - [EdgeInventoryDeltaPayload](docs/EdgeInventoryDeltaPayload.md)
 - [EdgeInventoryDeltaResponse](docs/EdgeInventoryDeltaResponse.md)
 - [EdgeInventoryDetails](docs/EdgeInventoryDetails.md)
 - [EdgeListPayload](docs/EdgeListPayload.md)
 - [EdgeService](docs/EdgeService.md)
 - [EdgeUpgrade](docs/EdgeUpgrade.md)
 - [EdgeUpgradeCore](docs/EdgeUpgradeCore.md)
 - [EdgeUpgradeListPayload](docs/EdgeUpgradeListPayload.md)
 - [EdgeUsageInfo](docs/EdgeUsageInfo.md)
 - [EdgeV2](docs/EdgeV2.md)
 - [EdgeWrapper](docs/EdgeWrapper.md)
 - [Elements](docs/Elements.md)
 - [EmailAvailability](docs/EmailAvailability.md)
 - [Endpoint](docs/Endpoint.md)
 - [Endpoints](docs/Endpoints.md)
 - [EntityVersionMetadata](docs/EntityVersionMetadata.md)
 - [EnvoyFilter](docs/EnvoyFilter.md)
 - [EnvoyFilters](docs/EnvoyFilters.md)
 - [Event](docs/Event.md)
 - [EventFilter](docs/EventFilter.md)
 - [EventFilterV2](docs/EventFilterV2.md)
 - [EventType](docs/EventType.md)
 - [EventUpsertRequest](docs/EventUpsertRequest.md)
 - [ExecuteEdgeUpgrade](docs/ExecuteEdgeUpgrade.md)
 - [ExecuteEdgeUpgradeData](docs/ExecuteEdgeUpgradeData.md)
 - [ExecuteEdgeUpgradeID](docs/ExecuteEdgeUpgradeID.md)
 - [ExternalLink](docs/ExternalLink.md)
 - [ExternalServiceInfo](docs/ExternalServiceInfo.md)
 - [Features](docs/Features.md)
 - [FieldsV1](docs/FieldsV1.md)
 - [Function](docs/Function.md)
 - [FunctionListPayload](docs/FunctionListPayload.md)
 - [GCPCredential](docs/GCPCredential.md)
 - [Gateway](docs/Gateway.md)
 - [Gateways](docs/Gateways.md)
 - [GetEdgeClusterHandlePayload](docs/GetEdgeClusterHandlePayload.md)
 - [GetHandlePayload](docs/GetHandlePayload.md)
 - [GrafanaInfo](docs/GrafanaInfo.md)
 - [GraphConfig](docs/GraphConfig.md)
 - [HTTPServiceProxy](docs/HTTPServiceProxy.md)
 - [HTTPServiceProxyCreateParamPayload](docs/HTTPServiceProxyCreateParamPayload.md)
 - [HTTPServiceProxyCreateResponsePayload](docs/HTTPServiceProxyCreateResponsePayload.md)
 - [HTTPServiceProxyListPayload](docs/HTTPServiceProxyListPayload.md)
 - [HTTPServiceProxyUpdateParamPayload](docs/HTTPServiceProxyUpdateParamPayload.md)
 - [HTTPServiceProxyUpdateResponsePayload](docs/HTTPServiceProxyUpdateResponsePayload.md)
 - [HelmAppMetadata](docs/HelmAppMetadata.md)
 - [HelmTemplateResponse](docs/HelmTemplateResponse.md)
 - [HttpApiSpec](docs/HttpApiSpec.md)
 - [HttpApiSpecBinding](docs/HttpApiSpecBinding.md)
 - [HttpApiSpecBindings](docs/HttpApiSpecBindings.md)
 - [HttpApiSpecs](docs/HttpApiSpecs.md)
 - [InfraConfig](docs/InfraConfig.md)
 - [IstioAdapter](docs/IstioAdapter.md)
 - [IstioAdapters](docs/IstioAdapters.md)
 - [IstioCheck](docs/IstioCheck.md)
 - [IstioComponentStatus](docs/IstioComponentStatus.md)
 - [IstioConfigDetails](docs/IstioConfigDetails.md)
 - [IstioConfigList](docs/IstioConfigList.md)
 - [IstioConfigPermissions](docs/IstioConfigPermissions.md)
 - [IstioHandler](docs/IstioHandler.md)
 - [IstioHandlers](docs/IstioHandlers.md)
 - [IstioInstance](docs/IstioInstance.md)
 - [IstioInstances](docs/IstioInstances.md)
 - [IstioRule](docs/IstioRule.md)
 - [IstioRules](docs/IstioRules.md)
 - [IstioTemplate](docs/IstioTemplate.md)
 - [IstioTemplates](docs/IstioTemplates.md)
 - [IstioValidation](docs/IstioValidation.md)
 - [IstioValidationKey](docs/IstioValidationKey.md)
 - [IstioValidationSummary](docs/IstioValidationSummary.md)
 - [IstioValidations](docs/IstioValidations.md)
 - [Iter8Criteria](docs/Iter8Criteria.md)
 - [Iter8CriteriaDetail](docs/Iter8CriteriaDetail.md)
 - [Iter8ExperimentDetail](docs/Iter8ExperimentDetail.md)
 - [Iter8ExperimentItem](docs/Iter8ExperimentItem.md)
 - [Iter8Info](docs/Iter8Info.md)
 - [Iter8Metric](docs/Iter8Metric.md)
 - [Iter8SuccessCrideriaStatus](docs/Iter8SuccessCrideriaStatus.md)
 - [Iter8TrafficControl](docs/Iter8TrafficControl.md)
 - [JSONText](docs/JSONText.md)
 - [JaegerInfo](docs/JaegerInfo.md)
 - [K8sConfig](docs/K8sConfig.md)
 - [K8sDashboardTokenResponsePayload](docs/K8sDashboardTokenResponsePayload.md)
 - [K8sDashboardViewonlyUserListPayload](docs/K8sDashboardViewonlyUserListPayload.md)
 - [K8sDashboardViewonlyUserParams](docs/K8sDashboardViewonlyUserParams.md)
 - [K8sDashboardViewonlyUserUpdatePayload](docs/K8sDashboardViewonlyUserUpdatePayload.md)
 - [KeyValue](docs/KeyValue.md)
 - [KialiMetric](docs/KialiMetric.md)
 - [KialiMetrics](docs/KialiMetrics.md)
 - [KubeConfigPayload](docs/KubeConfigPayload.md)
 - [KubernetesCluster](docs/KubernetesCluster.md)
 - [KubernetesClusterCert](docs/KubernetesClusterCert.md)
 - [KubernetesClusterHandlePayload](docs/KubernetesClusterHandlePayload.md)
 - [KubernetesClusterInstaller](docs/KubernetesClusterInstaller.md)
 - [KubernetesClustersListResponsePayload](docs/KubernetesClustersListResponsePayload.md)
 - [Log](docs/Log.md)
 - [LogCollector](docs/LogCollector.md)
 - [LogCollectorCloudwatch](docs/LogCollectorCloudwatch.md)
 - [LogCollectorDestination](docs/LogCollectorDestination.md)
 - [LogCollectorKinesis](docs/LogCollectorKinesis.md)
 - [LogCollectorKinesisType](docs/LogCollectorKinesisType.md)
 - [LogCollectorListPayload](docs/LogCollectorListPayload.md)
 - [LogCollectorSources](docs/LogCollectorSources.md)
 - [LogCollectorStackdriver](docs/LogCollectorStackdriver.md)
 - [LogCollectorStatus](docs/LogCollectorStatus.md)
 - [LogCollectorType](docs/LogCollectorType.md)
 - [LogDownloadPayload](docs/LogDownloadPayload.md)
 - [LogEntriesListPayload](docs/LogEntriesListPayload.md)
 - [LogEntry](docs/LogEntry.md)
 - [LogStream](docs/LogStream.md)
 - [LogStreamResponsePayload](docs/LogStreamResponsePayload.md)
 - [LogTag](docs/LogTag.md)
 - [LogUploadCompletePayload](docs/LogUploadCompletePayload.md)
 - [LogUploadPayload](docs/LogUploadPayload.md)
 - [LogUploadStatus](docs/LogUploadStatus.md)
 - [LoginResponse](docs/LoginResponse.md)
 - [MLModel](docs/MLModel.md)
 - [MLModelListResponsePayload](docs/MLModelListResponsePayload.md)
 - [MLModelMetadata](docs/MLModelMetadata.md)
 - [MLModelStatus](docs/MLModelStatus.md)
 - [MLModelStatusListPayload](docs/MLModelStatusListPayload.md)
 - [MLModelVersion](docs/MLModelVersion.md)
 - [MLModelVersionStatus](docs/MLModelVersionStatus.md)
 - [MLModelVersionURLGetResponsePayload](docs/MLModelVersionURLGetResponsePayload.md)
 - [MTLSStatus](docs/MTLSStatus.md)
 - [ManagedFieldsEntry](docs/ManagedFieldsEntry.md)
 - [ManagedFieldsOperationType](docs/ManagedFieldsOperationType.md)
 - [Matrix](docs/Matrix.md)
 - [MeshPolicies](docs/MeshPolicies.md)
 - [MeshPolicy](docs/MeshPolicy.md)
 - [MeshPolicySpec](docs/MeshPolicySpec.md)
 - [Metrics](docs/Metrics.md)
 - [MonitoringDashboard](docs/MonitoringDashboard.md)
 - [MonitoringDashboardExternalLinkVariables](docs/MonitoringDashboardExternalLinkVariables.md)
 - [Namespace](docs/Namespace.md)
 - [NamespaceAppHealth](docs/NamespaceAppHealth.md)
 - [NamespaceOverview](docs/NamespaceOverview.md)
 - [NestedAggregateSpec](docs/NestedAggregateSpec.md)
 - [Node](docs/Node.md)
 - [NodeData](docs/NodeData.md)
 - [NodeHealthStatus](docs/NodeHealthStatus.md)
 - [NodeInfo](docs/NodeInfo.md)
 - [NodeInfoListPayload](docs/NodeInfoListPayload.md)
 - [NodeListPayload](docs/NodeListPayload.md)
 - [NodeOnboardInfo](docs/NodeOnboardInfo.md)
 - [NodeRole](docs/NodeRole.md)
 - [NodeWrapper](docs/NodeWrapper.md)
 - [NotificationTopics](docs/NotificationTopics.md)
 - [NutanixVolumesStorageProfileConfig](docs/NutanixVolumesStorageProfileConfig.md)
 - [OAuthCodes](docs/OAuthCodes.md)
 - [ObjectMeta](docs/ObjectMeta.md)
 - [ObjectRequestBaseApplication](docs/ObjectRequestBaseApplication.md)
 - [ObjectRequestBaseApplicationContainers](docs/ObjectRequestBaseApplicationContainers.md)
 - [ObjectRequestBaseCategory](docs/ObjectRequestBaseCategory.md)
 - [ObjectRequestBaseCloudCreds](docs/ObjectRequestBaseCloudCreds.md)
 - [ObjectRequestBaseDataPipelineContainers](docs/ObjectRequestBaseDataPipelineContainers.md)
 - [ObjectRequestBaseDataSource](docs/ObjectRequestBaseDataSource.md)
 - [ObjectRequestBaseDataStream](docs/ObjectRequestBaseDataStream.md)
 - [ObjectRequestBaseDockerProfile](docs/ObjectRequestBaseDockerProfile.md)
 - [ObjectRequestBaseEdge](docs/ObjectRequestBaseEdge.md)
 - [ObjectRequestBaseEdgeInfo](docs/ObjectRequestBaseEdgeInfo.md)
 - [ObjectRequestBaseExecuteEdgeUpgrade](docs/ObjectRequestBaseExecuteEdgeUpgrade.md)
 - [ObjectRequestBaseLogCollector](docs/ObjectRequestBaseLogCollector.md)
 - [ObjectRequestBaseLogStream](docs/ObjectRequestBaseLogStream.md)
 - [ObjectRequestBaseMLModel](docs/ObjectRequestBaseMLModel.md)
 - [ObjectRequestBaseProject](docs/ObjectRequestBaseProject.md)
 - [ObjectRequestBaseProjectService](docs/ObjectRequestBaseProjectService.md)
 - [ObjectRequestBaseScript](docs/ObjectRequestBaseScript.md)
 - [ObjectRequestBaseScriptRuntime](docs/ObjectRequestBaseScriptRuntime.md)
 - [ObjectRequestBaseServiceBinding](docs/ObjectRequestBaseServiceBinding.md)
 - [ObjectRequestBaseServiceInstance](docs/ObjectRequestBaseServiceInstance.md)
 - [ObjectRequestBaseSoftwareUpdate](docs/ObjectRequestBaseSoftwareUpdate.md)
 - [ObjectRequestLogUpload](docs/ObjectRequestLogUpload.md)
 - [ObjectRequestSetupSSHTunneling](docs/ObjectRequestSetupSSHTunneling.md)
 - [ObjectRequestTeardownSSHTunneling](docs/ObjectRequestTeardownSSHTunneling.md)
 - [ObjectResponseLogUploadComplete](docs/ObjectResponseLogUploadComplete.md)
 - [OwnerReference](docs/OwnerReference.md)
 - [PeerAuthentication](docs/PeerAuthentication.md)
 - [PeerAuthentications](docs/PeerAuthentications.md)
 - [Pod](docs/Pod.md)
 - [PodMetrics](docs/PodMetrics.md)
 - [PodStatus](docs/PodStatus.md)
 - [Pods](docs/Pods.md)
 - [Policies](docs/Policies.md)
 - [Policy](docs/Policy.md)
 - [Port](docs/Port.md)
 - [Ports](docs/Ports.md)
 - [Process](docs/Process.md)
 - [ProcessID](docs/ProcessID.md)
 - [Project](docs/Project.md)
 - [ProjectListPayload](docs/ProjectListPayload.md)
 - [ProjectRole](docs/ProjectRole.md)
 - [ProjectRoleListPayload](docs/ProjectRoleListPayload.md)
 - [ProjectService](docs/ProjectService.md)
 - [ProjectServiceListPayload](docs/ProjectServiceListPayload.md)
 - [ProjectUserInfo](docs/ProjectUserInfo.md)
 - [ProtocolTraffic](docs/ProtocolTraffic.md)
 - [ProxyCallPayload](docs/ProxyCallPayload.md)
 - [ProxyRequest](docs/ProxyRequest.md)
 - [ProxyResponse](docs/ProxyResponse.md)
 - [ProxyResponsePayload](docs/ProxyResponsePayload.md)
 - [QuotaSpec](docs/QuotaSpec.md)
 - [QuotaSpecBinding](docs/QuotaSpecBinding.md)
 - [QuotaSpecBindings](docs/QuotaSpecBindings.md)
 - [QuotaSpecs](docs/QuotaSpecs.md)
 - [RawMessage](docs/RawMessage.md)
 - [RbacConfig](docs/RbacConfig.md)
 - [RbacConfigs](docs/RbacConfigs.md)
 - [Reference](docs/Reference.md)
 - [ReferenceType](docs/ReferenceType.md)
 - [RenderApplicationPayload](docs/RenderApplicationPayload.md)
 - [RenderApplicationResponsePayload](docs/RenderApplicationResponsePayload.md)
 - [ReportSensorsRequest](docs/ReportSensorsRequest.md)
 - [RequestAuthentication](docs/RequestAuthentication.md)
 - [RequestAuthentications](docs/RequestAuthentications.md)
 - [RequestHealth](docs/RequestHealth.md)
 - [RequestLogDownloadPayload](docs/RequestLogDownloadPayload.md)
 - [RequestLogUploadPayload](docs/RequestLogUploadPayload.md)
 - [ResourcePermissions](docs/ResourcePermissions.md)
 - [ResourcesPermissions](docs/ResourcesPermissions.md)
 - [ResponseBase](docs/ResponseBase.md)
 - [ResponseBaseEdge](docs/ResponseBaseEdge.md)
 - [ResponseDetail](docs/ResponseDetail.md)
 - [ResponseFlags](docs/ResponseFlags.md)
 - [ResponseHosts](docs/ResponseHosts.md)
 - [Responses](docs/Responses.md)
 - [RetentionInfo](docs/RetentionInfo.md)
 - [Runtime](docs/Runtime.md)
 - [RuntimeEnvironment](docs/RuntimeEnvironment.md)
 - [RuntimeEnvironmentListPayload](docs/RuntimeEnvironmentListPayload.md)
 - [SamplePair](docs/SamplePair.md)
 - [SampleStream](docs/SampleStream.md)
 - [Schema](docs/Schema.md)
 - [Script](docs/Script.md)
 - [ScriptListPayload](docs/ScriptListPayload.md)
 - [ScriptParam](docs/ScriptParam.md)
 - [ScriptParamValue](docs/ScriptParamValue.md)
 - [ScriptRuntime](docs/ScriptRuntime.md)
 - [ScriptRuntimeListPayload](docs/ScriptRuntimeListPayload.md)
 - [Sensor](docs/Sensor.md)
 - [SensorListPayload](docs/SensorListPayload.md)
 - [SerialNumberPayload](docs/SerialNumberPayload.md)
 - [Service](docs/Service.md)
 - [ServiceBinding](docs/ServiceBinding.md)
 - [ServiceBindingListPayload](docs/ServiceBindingListPayload.md)
 - [ServiceBindingParam](docs/ServiceBindingParam.md)
 - [ServiceBindingResource](docs/ServiceBindingResource.md)
 - [ServiceBindingResourceType](docs/ServiceBindingResourceType.md)
 - [ServiceBindingResult](docs/ServiceBindingResult.md)
 - [ServiceBindingSchema](docs/ServiceBindingSchema.md)
 - [ServiceBindingStateType](docs/ServiceBindingStateType.md)
 - [ServiceBindingStatus](docs/ServiceBindingStatus.md)
 - [ServiceBindingStatusListPayload](docs/ServiceBindingStatusListPayload.md)
 - [ServiceClass](docs/ServiceClass.md)
 - [ServiceClassListPayload](docs/ServiceClassListPayload.md)
 - [ServiceClassSchemas](docs/ServiceClassSchemas.md)
 - [ServiceClassScopeType](docs/ServiceClassScopeType.md)
 - [ServiceClassStateType](docs/ServiceClassStateType.md)
 - [ServiceClassTag](docs/ServiceClassTag.md)
 - [ServiceDetails](docs/ServiceDetails.md)
 - [ServiceDomain](docs/ServiceDomain.md)
 - [ServiceDomainCluster](docs/ServiceDomainCluster.md)
 - [ServiceDomainClustersListResponsePayload](docs/ServiceDomainClustersListResponsePayload.md)
 - [ServiceDomainGetHandlePayload](docs/ServiceDomainGetHandlePayload.md)
 - [ServiceDomainInfo](docs/ServiceDomainInfo.md)
 - [ServiceDomainInfoListPayload](docs/ServiceDomainInfoListPayload.md)
 - [ServiceDomainListPayload](docs/ServiceDomainListPayload.md)
 - [ServiceDomainProfile](docs/ServiceDomainProfile.md)
 - [ServiceEntries](docs/ServiceEntries.md)
 - [ServiceEntry](docs/ServiceEntry.md)
 - [ServiceHealth](docs/ServiceHealth.md)
 - [ServiceInstance](docs/ServiceInstance.md)
 - [ServiceInstanceListPayload](docs/ServiceInstanceListPayload.md)
 - [ServiceInstanceParam](docs/ServiceInstanceParam.md)
 - [ServiceInstanceSchema](docs/ServiceInstanceSchema.md)
 - [ServiceInstanceStateType](docs/ServiceInstanceStateType.md)
 - [ServiceInstanceStatus](docs/ServiceInstanceStatus.md)
 - [ServiceInstanceStatusListPayload](docs/ServiceInstanceStatusListPayload.md)
 - [ServiceList](docs/ServiceList.md)
 - [ServiceMeshPolicies](docs/ServiceMeshPolicies.md)
 - [ServiceMeshPolicy](docs/ServiceMeshPolicy.md)
 - [ServiceMeshRbacConfig](docs/ServiceMeshRbacConfig.md)
 - [ServiceMeshRbacConfigs](docs/ServiceMeshRbacConfigs.md)
 - [ServiceName](docs/ServiceName.md)
 - [ServiceOverview](docs/ServiceOverview.md)
 - [ServiceRole](docs/ServiceRole.md)
 - [ServiceRoleBinding](docs/ServiceRoleBinding.md)
 - [ServiceRoleBindings](docs/ServiceRoleBindings.md)
 - [ServiceRoles](docs/ServiceRoles.md)
 - [Services](docs/Services.md)
 - [ServicesOverview](docs/ServicesOverview.md)
 - [SeverityLevel](docs/SeverityLevel.md)
 - [Sidecar](docs/Sidecar.md)
 - [Sidecars](docs/Sidecars.md)
 - [SoftwareDownloadCommand](docs/SoftwareDownloadCommand.md)
 - [SoftwareDownloadCreate](docs/SoftwareDownloadCreate.md)
 - [SoftwareDownloadUpdate](docs/SoftwareDownloadUpdate.md)
 - [SoftwareDownloadedServiceDomainListPayload](docs/SoftwareDownloadedServiceDomainListPayload.md)
 - [SoftwareRelease](docs/SoftwareRelease.md)
 - [SoftwareReleaseListPayload](docs/SoftwareReleaseListPayload.md)
 - [SoftwareUpdateBatch](docs/SoftwareUpdateBatch.md)
 - [SoftwareUpdateBatchListPayload](docs/SoftwareUpdateBatchListPayload.md)
 - [SoftwareUpdateBatchType](docs/SoftwareUpdateBatchType.md)
 - [SoftwareUpdateCredentials](docs/SoftwareUpdateCredentials.md)
 - [SoftwareUpdateCredentialsAccessType](docs/SoftwareUpdateCredentialsAccessType.md)
 - [SoftwareUpdateCredentialsCreatePayload](docs/SoftwareUpdateCredentialsCreatePayload.md)
 - [SoftwareUpdateServiceDomain](docs/SoftwareUpdateServiceDomain.md)
 - [SoftwareUpdateServiceDomainListPayload](docs/SoftwareUpdateServiceDomainListPayload.md)
 - [SoftwareUpdateState](docs/SoftwareUpdateState.md)
 - [SoftwareUpdateStateType](docs/SoftwareUpdateStateType.md)
 - [SoftwareUpgradeCommand](docs/SoftwareUpgradeCommand.md)
 - [SoftwareUpgradeCreate](docs/SoftwareUpgradeCreate.md)
 - [SoftwareUpgradeUpdate](docs/SoftwareUpgradeUpdate.md)
 - [Span](docs/Span.md)
 - [SpanID](docs/SpanID.md)
 - [StatusInfo](docs/StatusInfo.md)
 - [StorageProfile](docs/StorageProfile.md)
 - [StorageProfileListResponsePayload](docs/StorageProfileListResponsePayload.md)
 - [Tenant](docs/Tenant.md)
 - [TenantInfo](docs/TenantInfo.md)
 - [TenantProfile](docs/TenantProfile.md)
 - [TenantProps](docs/TenantProps.md)
 - [ThreeScaleHandler](docs/ThreeScaleHandler.md)
 - [ThreeScaleHandlers](docs/ThreeScaleHandlers.md)
 - [ThreeScaleInfo](docs/ThreeScaleInfo.md)
 - [ThreeScaleServiceRule](docs/ThreeScaleServiceRule.md)
 - [Time](docs/Time.md)
 - [Trace](docs/Trace.md)
 - [TraceID](docs/TraceID.md)
 - [TransformationArgs](docs/TransformationArgs.md)
 - [UID](docs/UID.md)
 - [UpdateDocumentResponse](docs/UpdateDocumentResponse.md)
 - [UpdateDocumentResponseV2](docs/UpdateDocumentResponseV2.md)
 - [User](docs/User.md)
 - [UserApiToken](docs/UserApiToken.md)
 - [UserApiTokenCreatePayload](docs/UserApiTokenCreatePayload.md)
 - [UserApiTokenCreated](docs/UserApiTokenCreated.md)
 - [UserListPayload](docs/UserListPayload.md)
 - [UserProps](docs/UserProps.md)
 - [UserPublicKey](docs/UserPublicKey.md)
 - [UserPublicKeyUpdatePayload](docs/UserPublicKeyUpdatePayload.md)
 - [VSphereStorageProfileConfig](docs/VSphereStorageProfileConfig.md)
 - [ValueType](docs/ValueType.md)
 - [VirtualService](docs/VirtualService.md)
 - [VirtualServices](docs/VirtualServices.md)
 - [WSMessagingLogStream](docs/WSMessagingLogStream.md)
 - [Workload](docs/Workload.md)
 - [WorkloadEntries](docs/WorkloadEntries.md)
 - [WorkloadEntry](docs/WorkloadEntry.md)
 - [WorkloadHealth](docs/WorkloadHealth.md)
 - [WorkloadItem](docs/WorkloadItem.md)
 - [WorkloadList](docs/WorkloadList.md)
 - [WorkloadListItem](docs/WorkloadListItem.md)
 - [WorkloadOverview](docs/WorkloadOverview.md)
 - [WorkloadOverviews](docs/WorkloadOverviews.md)
 - [WorkloadStatus](docs/WorkloadStatus.md)
 - [WstunPayload](docs/WstunPayload.md)
 - [WstunRequest](docs/WstunRequest.md)
 - [WstunTeardownRequest](docs/WstunTeardownRequest.md)

## Documentation For Authorization


## BearerToken

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Author

karbon-platform-services-api@nutanix.com
